var posCount = 0;
var totalCount = 0;
var language = "pt";
var operation = "introduction";
var color = "black";
var interval;
function start(){
	$("#btnFrente").click(nextImage);
	$("#btnTras").click(backImage);
	$("#btnPT").click(changeLanguage);
	$("#btnENG").click(changeLanguage);
	$("#btnEscrita").click(changeOperation);
	$("#btnLeitura").click(changeOperation);
	$("#btnRecFalhas").click(changeOperation);
	$("#btnHide").click(hideText);
	$("#liAbout").click(showAbout);
	$("#liSystem").click(showSystem);
	$("#liHowToUse").click(showBegin);
	interval = setInterval(function(){
		if (color == "black"){
			color = "red";
			$("#tiposOperacao").css("border-color","#F00");
		}
		else{
			color = "black";
			$("#tiposOperacao").css("border-color","#000");
		}
	}, 1000);

	showSystem();
	loadCounter();
	$(document).keyup(function(event) {
		if(event.keyCode == 37)
			backImage();
		if(event.keyCode == 39)
			nextImage();
});
}

function backImage(){
	if(posCount > 0){
		posCount--;
		loadImagePage();
	}
}
function nextImage(){
	if(posCount < totalCount){
		posCount++;
		loadImagePage();
	}
}
function loadImagePage(){	
		$('#contentImg').html("<img src='apresentacao/"+language+"/"+operation+"/img"+posCount+".gif'></img>");	
		$('#contentText').text(vBiblioteca[operation][language][posCount]);
		loadCounter();
}

function loadCounter(){
	$('#counter').text(posCount+"/"+totalCount);
}

function changeOperation(){
	posCount = 1;
	clearInterval(interval);
	$("#tiposOperacao").css("border-color","#000");
	operation = $(this).attr('name');
	totalCount = vBiblioteca[operation]["tamanho"];
	$(this).css('background', 'black');
	$(this).css('color', 'white');
	var id = $(this).prop("id");
	$(":button").each(function(i) {
		if($(this).attr("id") != id) {
			$(this).css({
				'background': '-webkit-linear-gradient(#FFFF33 , #FFFF99 )',
				'background': '-o-linear-gradient(#FFFF33 , #FFFF99 )',
				'background': '-moz-linear-gradient(#FFFF33 , #FFFF99 )', 
				'background': 'linear-gradient(#FFFF33 , #FFFF99 )',
				'color':'black'
			});
		}
	});
	loadImagePage();
	loadCounter();
	unlockButtons();
}

function changeLanguage(){
	if($(this).attr('id') == "btnENG")
		language = "eng";
	else
		language = "pt";
	translate();
}

function translate(){
        $("*").each(function(i){
			$(this).text(vLang[language][ $(this).attr('id') ]);
        });
		loadImagePage();
}
function unlockButtons(){
	$("#btnFrente").removeAttr('disabled');
	$("#btnTras").removeAttr('disabled');
}

function showAbout(){
	$("#divOperacoes").hide();
	$("#divAbout").show();
	$("#divHowToUse").hide();
}

function showSystem(){
	$("#divOperacoes").show();
	$("#divAbout").hide();
	$("#divHowToUse").hide();
		$(":button").each(function(i) {
		if($(this).attr("name") == operation) {
			$(this).css({
				'background': '-webkit-linear-gradient(#FFFF33 , #FFFF99 )',
				'background': '-o-linear-gradient(#FFFF33 , #FFFF99 )',
				'background': '-moz-linear-gradient(#FFFF33 , #FFFF99 )', 
				'background': 'linear-gradient(#FFFF33 , #FFFF99 )',
				'color':'black'
			});
		}
	});
	operation = "introduction";
	totalCount = 0;
	posCount = 0;
	loadImagePage();
}

function showBegin(){
	$("#divOperacoes").hide();
	$("#divAbout").hide();
	$("#divHowToUse").show();
}

function hideText(){
	if($(this).text() == "-"){
		$("#contentText").hide();
		$(this).text("+");
	}
	else{
		$("#contentText").show();
		$(this).text("-");
	}
}